package com.palacesun.engine.spy;

import com.palacesun.engine.logging.format.BinaryFormat;
import com.palacesun.engine.spy.appender.MessageFormattingStrategy;
import com.palacesun.engine.spy.appender.P6Logger;
import java.util.Set;

public interface P6SpyLoadableOptions extends P6LoadableOptions, P6SpyOptionsMBean {
   Set<P6Factory> getModuleFactories();

   void setAutoflush(String var1);

   void setReloadProperties(String var1);

   void setReloadPropertiesInterval(String var1);

   void setStackTrace(String var1);

   void setAppend(String var1);

   P6Logger getAppenderInstance();

   BinaryFormat getDatabaseDialectBinaryFormatInstance();

   MessageFormattingStrategy getLogMessageFormatInstance();

   void setJmx(String var1);
}
